petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceDestroy

Destroys a PetscDualSpace object

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceDestroy(PetscDualSpace *sp)

Collective on sp

### Input Parameter

sp -the PetscDualSpace object to destroy

### See Also

PetscDualSpaceView()

### Level

beginner

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceDestroy_BDM in src/dm/dt/dualspace/impls/bdm/dspacebdm.c
PetscDualSpaceDestroy_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceDestroy_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages